# Get Volume Metrics

<EndpointPage
  breadcrumbs={[
    { label: "REST APIs", href: "/rest-api/rest-api" },
    { label: "Prediction Markets", href: "/rest-api/rest-api#prediction-markets" },
    { label: "Positions", href: "/rest-api/prediction-markets/positions" },
    { label: "Get Volume Metrics" },
  ]}
  title="Get Volume Metrics"
  method="POST"
  url="https://api.gemini.com/v1/prediction-markets/metrics/volume"
  description="Returns per-contract share volume metrics for an event, including total taker volume across all participants (totalQty) and the authenticated user's taker (userAggressorQty) and maker (userRestingQty) volumes. All volumes are in shares (number of contracts traded), not dollar amounts. An optional time range can filter trades within a specific window."
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/prediction-markets/metrics/volume",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        eventTicker: "FED260318",
        startTime: 1772412364000,
        endTime: 1772671564000,
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <p style={{ margin: 0 }}>The API key you use to access this endpoint must have the Trader role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
      ),
    },
    {
      heading: "Headers",
      children: <PMSpecHeaders />,
    },
    {
      heading: "Request Body",
      children: <PMSpecParams operationId="getVolumeMetrics" />,
    },
    {
      heading: "Responses",
      children: <PMSpecResponses operationId="getVolumeMetrics" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Get Settled Positions", href: "/rest-api/prediction-markets/positions/get-settled-positions" }}
  next={{ label: "Events", href: "/rest-api/prediction-markets/events" }}
/>
